Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
Class GroovyDocTool

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.GroovyDocTool

    public class GroovyDocTool

extends Object

Constructor Summary
`GroovyDocTool(ResourceManager resourceManager, String sourcepath, String classTemplate)`
`GroovyDocTool(ResourceManager resourceManager, String sourcepath, String[] docTemplates, String[] packageTemplates, String[] classTemplates, List links)`
`GroovyDocTool(String sourcepath)` Constructor for use by people who only want to interact with the Groovy Doclet Tree (rootDoc)

Method Summary
`void` | `add(String filename)`
`GroovyRootDoc` | `getRootDoc()`
`void` | `renderToOutput(OutputTool output, String destdir)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroovyDocTool

    public GroovyDocTool(String sourcepath)

  Constructor for use by people who only want to interact with the Groovy Doclet Tree (rootDoc)

  Parameters:
    `sourcepath` - where the sources to be added can be found

### GroovyDocTool

    public GroovyDocTool(ResourceManager resourceManager,
                         String sourcepath,
                         String classTemplate)

### GroovyDocTool

    public GroovyDocTool(ResourceManager resourceManager,
                         String sourcepath,
                         String[] docTemplates,
                         String[] packageTemplates,
                         String[] classTemplates,
                         List links)

Method Detail

### add

    public void add(String filename)
             throws RecognitionException,
                    TokenStreamException,
                    IOException

  Throws:
    `RecognitionException`
    `TokenStreamException`
    `IOException`

### getRootDoc

    public GroovyRootDoc getRootDoc()

### renderToOutput

    public void renderToOutput(OutputTool output,
                               String destdir)
                        throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD